package dev.pfaff.altargui.internal;

import dev.pfaff.altargui.internal.render.GLFeatures;
import dev.pfaff.altargui.util.GLThread;

import java.util.concurrent.Callable;

import static dev.pfaff.altargui.GuiGlobals.GL;

public final class InternalGlobals {
	public static final GLFeatures GL_FEATURES;

	static {
		// using a lambda here will dead-lock
		GL_FEATURES = GLThread.executor().execute(new Callable<>() {
			@Override
			public GLFeatures call() {
				return new GLFeatures(GL);
			}
		});
	}

	public static void forceInit() {
	}
}
